local mod = ...

mod:registerAssetId("heraldry/CoA1.png", "HERALDRY_A", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_A",
	Description = "VILLAGE_A_DESC",
	Heraldry = "HERALDRY_A",
	VillageName = "House Whitbrey of Meadowbrooke",
	UnlockCost = {{ Resource = "WINE", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.5,
	BuyingResourceList = {
		-- bv1_egg
		-- r_shingle
		-- bv1_carcass
		{ ResourceMaxAmount = { Resource = "GLASS", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 10 } },
		{ ResourceMaxAmount = { Resource = "WINE", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } },
		{ ResourceMaxAmount = { Resource = "MILK", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },	
	},
	SellingResourceList={
		-- r_flax
		-- bv1_butter
		{ ResourceMaxAmount = { Resource = "BERRIES", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } },
		{ ResourceMaxAmount = { Resource = "HONEY", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } },
		{ ResourceMaxAmount = { Resource = "HERBS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 4 } },
		{ ResourceMaxAmount = { Resource = "STAINED_GLASS", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 15 } },
	},
	Allegiance = "KINGDOM"
})